Package tigase.workgroupqueues.scheduler

## Class Offer

- java.lang.Object
- - tigase.workgroupqueues.scheduler.Offer

-     public class Offer
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Offer​(Queue queue, User user, Agent agent)` |
    `Offer​(Queue queue, User user, Agent agent, java.util.Date timestamp)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Agent` | `getAgent()` |
    `java.lang.String` | `getKey()` |
    `static java.lang.String` | `getKey​(Queue queue, User user, Agent agent)` |
    `static java.lang.String` | `getKey​(BareJID queue, JID user, JID agent)` |
    `Queue` | `getQueue()` |
    `java.util.Date` | `getTimestamp()` |
    `User` | `getUser()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Offer

          public Offer​(Queue queue,
                       User user,
                       Agent agent)

    - #### Offer

          public Offer​(Queue queue,
                       User user,
                       Agent agent,
                       java.util.Date timestamp)

  - ### Method Detail

    - #### getKey

          public static java.lang.String getKey​(Queue queue,
                                                User user,
                                                Agent agent)

    - #### getKey

          public static java.lang.String getKey​(BareJID queue,
                                                JID user,
                                                JID agent)

    - #### getAgent

          public Agent getAgent()

    - #### getKey

          public java.lang.String getKey()

    - #### getQueue

          public Queue getQueue()

    - #### getTimestamp

          public java.util.Date getTimestamp()

    - #### getUser

          public User getUser()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`